<template>
  <div class="systemMonitoring_box">
    <My-bread :list="['运维管理', '系统监控']"></My-bread>
    <el-divider />
    <div class="table_box">
      <p class="title_box">服务列表</p>
      <el-table

     
        :data="tableData"
      
        style="width: 100%"
       
      >
        <el-table-column type="selection" width="55"> </el-table-column>
        <el-table-column prop="name" label="服务名称"> </el-table-column>
        <el-table-column prop="servicecatalog" label="服务目录">
        </el-table-column>
        <el-table-column prop="visitTimes" label="访问次数"> </el-table-column>
        <el-table-column prop="date" label="创建时间" show-overflow-tooltip>
        </el-table-column>
        <el-table-column prop="state" label="运行状态" fixed="right">
        </el-table-column>
      </el-table>
      <div style="margin-top: 40px" class="pagination_box">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="currentPage4"
          :page-sizes="[10, 20, 30, 40]"
          :page-size="10"
          layout="total, sizes, prev, pager, next, jumper"
          :total="4"
        >
        </el-pagination>
      </div>
    </div>
    <div class="chart_box">
      <div class="left_box">
        <p class="title_box">实时服务调用</p>
        <div id="line_chart"></div>
      </div>
      <div class="right_box">
        <p class="title_box">系统使用状况</p>
        <div class="gauge_box">
          <div id="gauge_chart1"></div>
          <div id="gauge_chart2"></div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import MyBread from "../../components/MyBread.vue";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },
  data() {
    //这里存放数据
    return {
      currentPage4: 1,
      tableData: [
        {
          date: "2022-08-03",
          name: "test",
          servicecatalog: "业务图层",
          visitTimes: "12",
          state: "不可用",
        },
        {
          date: "2022-08-03",
          name: "cs9",
          servicecatalog: "业务图层",
          visitTimes: "7",
          state: "不可用",
        },
        {
          date: "2022-08-03",
          name: "test1",
          servicecatalog: "业务图层",
          visitTimes: "5",
          state: "不可用",
        },
        {
          date: "2022-08-03",
          name: "cs3",
          servicecatalog: "业务图层",
          visitTimes: "8",
          state: "不可用",
        },
      ],
    };
  },
  //方法集合
  methods: {
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
    },
    gaugeChart1() {
      const gaugeData = [
        {
          value: 20,
          name: "CPU利用率",
          title: {
            offsetCenter: ["0%", "10%"],
          },
          detail: {
            valueAnimation: true,
            offsetCenter: ["0%", "-10%"],
          },
        },
      ];
      let option = {
        series: [
          {
            type: "gauge",
            // radius: "10%",
            itemStyle: {
              normal: {
                color: "#5c5dd3",
              },
            },
            startAngle: 90,
            endAngle: -270,
            pointer: {
              show: false,
            },
            progress: {
              show: true,
              overlap: false,
              roundCap: true,
              clip: false,
              itemStyle: {
                borderWidth: 1,
                borderColor: "#5c5dd3",
              },
            },
            axisLine: {
              lineStyle: {
                width: 40,
              },
            },
            splitLine: {
              show: false,
              distance: 0,
              length: 10,
            },
            axisTick: {
              show: false,
            },
            axisLabel: {
              show: false,
              distance: 50,
            },
            data: gaugeData,
            title: {
              fontSize: 24,
              fontWeight: 800,
            },
            detail: {
              fontSize: 40,
              color: "auto",
              borderColor: "auto",
              borderRadius: 20,
              borderWidth: 0,
              formatter: "{value}%",
            },
          },
        ],
      };
      let myChart = this.$echarts.init(document.getElementById("gauge_chart1"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
    gaugeChart2() {
      const gaugeData = [
        {
          value: 20,
          name: "内存利用率",
          title: {
            offsetCenter: ["0%", "10%"],
          },
          detail: {
            valueAnimation: true,
            offsetCenter: ["0%", "-10%"],
          },
        },
      ];
      let option = {
        series: [
          {
            type: "gauge",
            itemStyle: {
              normal: {
                color: "#78c9f8",
              },
            },
            // radius: "10%",
            startAngle: 90,
            endAngle: -270,
            pointer: {
              show: false,
            },
            progress: {
              show: true,
              overlap: false,
              roundCap: true,
              clip: false,
              itemStyle: {
                borderWidth: 1,
                borderColor: "#78c9f8",
                normal: {
                  color: "#78c9f8",
                },
              },
            },
            axisLine: {
              lineStyle: {
                width: 40,
              },
            },
            splitLine: {
              show: false,
              distance: 0,
              length: 10,
            },
            axisTick: {
              show: false,
            },
            axisLabel: {
              show: false,
              distance: 50,
            },
            data: gaugeData,
            title: {
              fontSize: 24,
              fontWeight: 800,
            },
            detail: {
              fontSize: 40,
              color: "auto",
              borderColor: "auto",
              borderRadius: 20,
              borderWidth: 0,
              formatter: "{value}%",
            },
          },
        ],
      };
      let myChart = this.$echarts.init(document.getElementById("gauge_chart2"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
    lineChart() {
      let option = {
        xAxis: {
          type: "category",
          data: ["Mon", "Tue", "Wed", "Thu", "Fri", "Sat", "Sun"],
        },
        yAxis: {
          name: "次数",
          type: "value",
        },
        series: [
          {
            data: [150, 230, 224, 218, 135, 147, 260],
            type: "line",
            itemStyle: {
              normal: {
                color: "#1f88ff",
                lineStyle: {
                  color: "#1f88ff",
                },
              },
            },
          },
        ],
      };
      let myChart = this.$echarts.init(document.getElementById("line_chart"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
    handleSelectionChange() {},
  },
  created() {},
  mounted() {
    this.lineChart();
    this.gaugeChart1();
    this.gaugeChart2();
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.systemMonitoring_box {
  background: rgb(240, 242, 245);
  border-radius: 10px;
  height: 100%;
  padding: 10px;
  box-sizing: border-box;
  .table_box {
    height: 40%;
    padding: 10px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
    overflow: auto;
  }
  .title_box {
    font-weight: 800;
  }
  .pagination_box {
    text-align: center;
  }
  .chart_box {
    height: calc(60% - 100px);
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
    .left_box {
      width: 40%;
      padding: 10px;
      background: #fff;
      border-radius: 5px;
      border: 1px solid rgb(202, 201, 204);
      box-sizing: border-box;
      #line_chart {
        width: 100%;
        height: 100%;
      }
    }
    .right_box {
      margin-left: 20px;
      width: 60%;
      padding: 10px;
      background: #fff;
      border-radius: 5px;
      border: 1px solid rgb(202, 201, 204);
      box-sizing: border-box;

      .gauge_box {
        display: flex;
        justify-content: space-between;
        width: 100%;
        height: 95%;
        #gauge_chart2 {
          width: 49%;
          height: 100%;
        }
        #gauge_chart1 {
          width: 49%;
          height: 100%;
        }
      }
    }
  }
}
</style>
